Skip to navigation

Update a family record

Updates the editable family fields for a family in the authenticated user's active school.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idlongRequired
Family student ID

Request

This endpoint expects an object.
namestring or nullOptional<=255 characters
lastname_hebrewstring or nullOptional<=255 characters
descriptionstring or nullOptional<=1000 characters
processing_fee_blockedboolean or nullOptional

Response

Family updated.
statusenum
Allowed values:
messagestring
datamap from strings to any
Updated FamilyStudent model

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error